Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)

Summary: A viewer for comic book archives
Name:    qcomicbook
Version: 0.9.0
Release: alt1_2

License: GPLv2
URL:     http://qcomicbook.org/
Source0: http://qcomicbook.org/releases/qcomicbook-%{version}.tar.gz

BuildRequires: ctest cmake
BuildRequires: desktop-file-utils
BuildRequires: pkgconfig(poppler-qt4)
BuildRequires: pkgconfig(QtGui)
BuildRequires: pkgconfig(xmu)
BuildRequires: pkgconfig(xi)
Source44: import.info

## runtime utilities for viewing comic book archives
#Requires: bzip2
#Requires: gzip
#Requires: p7zip
#Requires: tar
#Requires: unzip
## nonfree stuff
#Requires: unace
#Requires: unrar


%description
QComicBook is a viewer for PDF files and comic book archives containing
jpeg/png/xpm/gif/bmp images, which aims at convenience and simplicity.
Features include: automatic unpacking of archive files, full-screen mode, continuous
scrolling mode, double-pages viewing, manga mode, thumbnails view, page scaling,
mouse or keyboard navigation etc.

You will also need unzip, rar (or unrar), unace, p7zip and tar (with gzip and
bzip2 support compiled in) somewhere in your PATH to handle archives. If one of
these tools is missing you can still use QComicBook, but you won't be able to
open some archives. You may check status of supported archives via Help > System information
menu option of QComicBook.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{fedora_cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR="$RPM_BUILD_ROOT" -C %{_target_platform}

%find_lang qcomicbook --without-mo --with-qt


%check
desktop-file-validate ${RPM_BUILD_ROOT}%{_datadir}/applications/*%{name}.desktop


%files -f qcomicbook.lang
%doc AUTHORS README ChangeLog COPYING THANKS TODO
%{_bindir}/qcomicbook
%{_mandir}/man1/qcomicbook.1*
%{_datadir}/applications/qcomicbook.desktop
%{_datadir}/pixmaps/qcomicbook.png
%dir %{_datadir}/qcomicbook/
%dir %{_datadir}/qcomicbook/i18n/


%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.0-alt1_2
- initial fc import

